<?php

use Hubzero\Content\Migration\Base;

// No direct access
defined('_HZEXEC_') or die();

/**
 * Migration script for installing tables for DrWho component
 **/
class Migration20170614150300ComDrwho extends Base
{
	/**
	 * Up
	 **/
	public function up()
	{
		$this->addComponentEntry('drwho');

		if (!$this->db->tableExists('#__drwho_seasons'))
		{
			$query = "CREATE TABLE IF NOT EXISTS `#__drwho_seasons` (
			  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
			  `title` varchar(255) NOT NULL DEFAULT '',
			  `alias` varchar(255) NOT NULL,
			  `premiere_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
			  `finale_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
			  `doctor_id` int(11) unsigned NOT NULL DEFAULT '0',
			  `ordering` int(11) unsigned NOT NULL DEFAULT '0',
			  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
			  `created_by` int(11) unsigned NOT NULL DEFAULT '0',
			  `state` tinyint(2) NOT NULL DEFAULT '0',
			  PRIMARY KEY (`id`),
			  KEY `idx_state` (`state`),
			  KEY `idx_doctor_id` (`doctor_id`),
			  KEY `idx_created_by` (`created_by`)
			) ENGINE=InnoDB DEFAULT CHARSET=utf8;";

			$this->db->setQuery($query);
			$this->db->query();
		}
	}

	/**
	 * Down
	 **/
	public function down()
	{
		if ($this->db->tableExists('#__drwho_seasons'))
		{
			$query = "DROP TABLE #__drwho_seasons";
			$this->db->setQuery($query);
			$this->db->query();
		}

		$this->deleteComponentEntry('drwho');
	}
}
